# module Benchmark::IPS::Stats::StatsMetric

### Public Instance Methods

error_percentage() click to toggle source

Return entry’s standard deviation of iteration per second in percentage. @return [Float] +@ips_sd+ in percentage.

    # File lib/benchmark/ips/stats/stats_metric.rb, line 7
    def error_percentage
      100.0 * (error.to_f / central_tendency)
    end

overlaps?(baseline) click to toggle source

    # File lib/benchmark/ips/stats/stats_metric.rb, line 11
    def overlaps?(baseline)
      baseline_low = baseline.central_tendency - baseline.error
      baseline_high = baseline.central_tendency + baseline.error
      my_high = central_tendency + error
      my_low  = central_tendency - error
      my_high > baseline_low && my_low < baseline_high
    end